#### Description:

A CmpMap is a compound Mapping which allows two component Mappings (of any class) to be connected together to form a more complex Mapping. This connection may either be `"` in series`"` (where the first Mapping is used to transform the coordinates of each point and the second mapping is then applied to the result), or `"` in parallel`"` (where one Mapping transforms the earlier coordinates for each point and the second Mapping simultaneously transforms the later coordinates).

Since a CmpMap is itself a Mapping, it can be used as a component in forming further CmpMaps. Mappings of arbitrary complexity may be built from simple individual Mappings in this way.

#### Constructor Function

astCmpMap

#### Inheritance

The CmpMap class inherits from the Mapping class.

#### Attributes

The CmpMap class does not define any new attributes beyond those which are applicable to all Mappings.

#### Functions

The CmpMap class does not define any new functions beyond those which are applicable to all Mappings.
Copyright (C) 2021 East Asian Observatory